<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: ZoneIdField.php 4628 2006-04-06 10:53:09Z scott@m3.net $
*/

require_once MAX_PATH . '/lib/max/Admin/UI/Field.php';

class Admin_UI_ZoneIdField extends Admin_UI_Field
{
    function display($fields, $key)
    {
        $this->_displayFieldHeader($fields[$key]['title']);

        echo "<select name='".$key."' tabindex='".($this->tabkeeper->tabindex++)."'>";
        $this->displayZonesAsOptionList();
        echo "</select>";

        $this->_displayFieldFooter();
    }

    function displayZonesAsOptionList()
    {
        $dal = new MAX_Dal_Reporting();

        $zoneArray = $dal->phpAds_getZoneArray();
        foreach (array_keys($zoneArray) as $ckey)
            echo "<option value='".$ckey."'>".$zoneArray[$ckey]."</option>";
    }
}

?>
